import { EntityManager } from '@mikro-orm/core'

import Database from '../database'

import Logger, { LoggerType } from '#application/logger'

export abstract class BaseRepository {
  protected readonly logger = Logger.type(LoggerType.REPOSITORY)

  protected get em(): EntityManager {
    return Database.getEntityManager()
  }
}
